<script lang='tsx'>
import { Component } from 'vue-property-decorator';
import EMENEditView9_EditModeBase from './emenedit-view9-edit-mode-base.vue';

import view_form from '@widgets/emen/main3-form/main3-form.vue';

/**
 * 能源信息
 *
 * @export
 * @class EMENEditView9_EditMode
 * @extends {EMENEditView9_EditModeBase}
 */
@Component({
    components: {
        view_form, 
    },
    beforeRouteEnter: (to: any, from: any, next: any) => {
        next((vm: any) => {
            if(!Object.is(vm.navModel,"route")){
                vm.initNavDataWithTab(vm.viewCacheData);
            }
            vm.$store.commit('addCurPageViewtag', { fullPath: to.fullPath, viewtag: vm.viewtag });
        });
    },
})
export default class EMENEditView9_EditMode extends EMENEditView9_EditModeBase { }
</script>